
From: Anton Blanchard <anton@samba.org>

We should print a stack backtrace when we get EEH errors, it makes
debugging the cause of the fail easier.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                       |    0 
 25-akpm/arch/ppc64/kernel/eeh.c |    4 ++++
 2 files changed, 4 insertions(+)

diff -puN arch/ppc64/kernel/eeh.c~ppc64-print-backtrace-in-eeh-code arch/ppc64/kernel/eeh.c
--- 25/arch/ppc64/kernel/eeh.c~ppc64-print-backtrace-in-eeh-code	2004-09-01 22:57:10.133861544 -0700
+++ 25-akpm/arch/ppc64/kernel/eeh.c	2004-09-01 22:57:10.138860784 -0700
@@ -434,6 +434,10 @@ int eeh_dn_check_failure(struct device_n
 
 		spin_unlock_irqrestore(&slot_errbuf_lock, flags);
 
+		printk(KERN_ERR "EEH: MMIO failure (%d) on device:%s %s\n",
+		       rets[0], pci_name(dev), pci_pretty_name(dev));
+		WARN_ON(1);
+
 		/*
 		 * XXX We should create a separate sysctl for this.
 		 *
diff -L eeh.c -puN /dev/null /dev/null
_
